PDA

Visualizza la versione completa : Problemi aggiornamento Ubuntu


raistlin76
23-04-2007, 08:52
Ciao a tutti,
sto facendo l'aggiornamento da Edgy a Festy, quando pero' clicco su "Aggiorna" dell'update-manager , dopo avere scaricato due file, suppongo i gpg, lo stesso mi dice che l'Autenticazione fallita e che il problema puo' dipendere dalla connessione di rete (non cosi') o dal server.
L'utente che ha lanciato l'update-manager root (non con sudo, ma con su). L'ho lanciato da console e ui posto l'output:
root@FENER:/home/davide# /usr/bin/update-manager
warning: could not initiate dbus
extracting '/tmp/tmprb0LM8/feisty.tar.gz'
authenticate '/tmp/tmprb0LM8/feisty.tar.gz' against '/tmp/tmprb0LM8/feisty.tar.gz.gpg'
exception from gpg: GnuPG exited non-zero, with code 131072

Sembra sia un problema di controllo di correttezza dei dati, o sbaglio. Avete qualche idea per favore? Per completezza posto anche il sources.list.

davide@FENER:~$ cat /etc/apt/sources.list

deb http://it.archive.ubuntu.com/ubuntu/ edgy main restricted universe multiverse
deb-src http://it.archive.ubuntu.com/ubuntu/ edgy main restricted universe multiverse

## Major bug fix updates produced after the final release of the
## distribution.
deb http://it.archive.ubuntu.com/ubuntu/ edgy-updates main restricted universe multiverse
deb-src http://it.archive.ubuntu.com/ubuntu/ edgy-updates main restricted universe multiverse

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
# deb http://it.archive.ubuntu.com/ubuntu/ edgy universe
# deb-src http://it.archive.ubuntu.com/ubuntu/ edgy universe

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://it.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse
# deb-src http://it.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu edgy-security main restricted universe multiverse
deb-src http://security.ubuntu.com/ubuntu edgy-security main restricted universe multiverse
# deb http://security.ubuntu.com/ubuntu edgy-security universe
# deb-src http://security.ubuntu.com/ubuntu edgy-security universe

sacarde
23-04-2007, 21:45
se ti puo' essere utile

http://pollycoke.wordpress.com/2007/04/15/da-ubuntu-edgy-a-feisty-aggiornamento-a-prova-di-bomba-gallery/

raistlin76
24-04-2007, 08:26
Scoperto il problema, dovevo prima installare l'aggiornamento dell'update-manager di edgy.
Ecco la guida dell'aggiornamento:

http://wiki.ubuntu-it.org/AggiornamentoFeisty

Loading